Page MenuHomePhabricator

Lift the Wikipedia Account Creation Limit on 2016-10-04 and other dates for Winona State University
Closed, ResolvedPublic

Description

Lift the Wikipedia Account Creation Limit for three event times

  1. Tuesday, October 4, 2016 between 3:30pm-6:30pm (CST) October 4 and 11, 2016 [teaching students how to edit and create accounts] and
  1. Tuesday, October 10, 2016 between 3:30pm-6:30pm (CST) [create accounts, editing and adding content]
  1. Friday, December 2, 2016 from 12:30-3:00pmCST [creating accounts, editing and adding content]

The IPs to allow:
199.17.128.0 through 199.17.175.255 [this is our campus IP range]

We have a class 35 students for each of these events.

The list of wikis we plan to edit:

  1. For the October events we plan to edit the American Crime TV show page. For season two we are adding new content for each episode. This is for a Women’s, Gender, & Sexuality Studies course. https://en.wikipedia.org/wiki/American_Crime_(TV_series)#Season_2
  1. For the December event we are editing U.S. Supreme Court Justice Pages. We are adding new content about First Amendment cases and adding any missing biographical information. This is for a Mass Communication Media Law course.

A link to the Wiki page discussing the event or, if there is no such page, a link to your user page on your primary wiki – we do not have one yet.

Could you also give this account the authority to add accounts? wsuklarson [wikipedia login] This would be helpful on the days of the events, to ensure we can have all our students adding content.

Thank you.
Kendall Larson
Winona State University - Krueger Library
wsuklarson
klarson@winona.edu
507.457.5367

Details

Related Gerrit Patches:
operations/mediawiki-config : masterFix a typo (ramge -> range)
operations/mediawiki-config : master[throttle] Rule for Winona State University
operations/mediawiki-config : master[throttle] Rule for Winona State University
operations/mediawiki-config : master[throttle] Rule for Winona State University
operations/mediawiki-config : master[throttle] Rule for Winona State University

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptSep 26 2016, 12:08 AM
Wsuklarson updated the task description. (Show Details)Sep 26 2016, 12:10 AM
Wsuklarson updated the task description. (Show Details)
Wsuklarson updated the task description. (Show Details)Sep 26 2016, 12:20 AM
Wsuklarson updated the task description. (Show Details)Sep 26 2016, 12:23 AM
Wsuklarson updated the task description. (Show Details)
Urbanecm claimed this task.Sep 26 2016, 5:27 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 26 2016, 5:27 AM

I don't understand the first point. You wish to lift the limit for both October 3 and 11?

And what do you mean by "Could you also give this account the authority to add accounts? "? Add accounts where?

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Sep 26 2016, 5:41 AM
Urbanecm raised the priority of this task from Medium to High.Sep 26 2016, 5:44 AM

This is high priority because the October 4.

Restricted Application added a subscriber: Dereckson. · View Herald TranscriptSep 26 2016, 5:44 AM

Change 312815 had a related patch set uploaded (by Urbanecm):
[throttle] Rule for Winona State University

https://gerrit.wikimedia.org/r/312815

Change 312816 had a related patch set uploaded (by Urbanecm):
[throttle] Rule for Winona State University

https://gerrit.wikimedia.org/r/312816

Aklapper renamed this task from Lift the Wikipedia Account Creation Limit to Lift the Wikipedia Account Creation Limit on 2016-10-04 and other dates for Winona State University.Sep 26 2016, 12:15 PM

We should be fine with lifting the limit on October 4th and December 2nd.
The request for my account to have authorization to add new Wikipedia user/editing accounts was as a back up, in case something did not go right with the Lift or our IP range. This may not be needed. If the Lift is all that is needed I am fine with that. Thank you.

The patches you see upper only fulfil second and third point you wrote. I'm working for the last one.

You can request for the authorization you want from any sysop or 'crat of English Wikipedia. Or, in emergencies, stewards.

Change 312842 had a related patch set uploaded (by Urbanecm):
[throttle] Rule for Winona State University

https://gerrit.wikimedia.org/r/312842

Now the last one is uploaded. They will be deployed at October 03, 13:00-14:00 UTC.

Change 313784 had a related patch set uploaded (by Hashar):
[throttle] Rule for Winona State University

https://gerrit.wikimedia.org/r/313784

Change 312815 abandoned by Hashar:
[throttle] Rule for Winona State University

Reason:
Squashed in https://gerrit.wikimedia.org/r/#/c/313784/

https://gerrit.wikimedia.org/r/312815

Change 312816 abandoned by Hashar:
[throttle] Rule for Winona State University

Reason:
Squashed in https://gerrit.wikimedia.org/r/#/c/313784/

https://gerrit.wikimedia.org/r/312816

Change 312842 abandoned by Hashar:
[throttle] Rule for Winona State University

Reason:
Squashed in https://gerrit.wikimedia.org/r/#/c/313784/

https://gerrit.wikimedia.org/r/312842

Change 313784 merged by jenkins-bot:
[throttle] Rule for Winona State University

https://gerrit.wikimedia.org/r/313784

Mentioned in SAL (#wikimedia-operations) [2016-10-03T13:21:12Z] <zfilipin@tin> Synchronized wmf-config/throttle.php: SWAT: [[gerrit:313784|[throttle] Rule for Winona State University (T146600)]] [[gerrit:312852|[throttle] Ada Lovelace Day Edit-a-thon (T146654)]] (duration: 00m 49s)

Urbanecm closed this task as Resolved.Oct 3 2016, 1:23 PM

Deployed.

Change 318142 had a related patch set uploaded (by Urbanecm):
Fix a typo (ramge -> range)

https://gerrit.wikimedia.org/r/318142

Change 318142 merged by jenkins-bot:
Fix a typo (ramge -> range)

https://gerrit.wikimedia.org/r/318142

Mentioned in SAL (#wikimedia-operations) [2016-10-27T13:10:07Z] <hashar@tin> Synchronized wmf-config/throttle.php: T146600 T149200 (duration: 00m 53s)

^ was only a typo fix, which is deployed now. All should work correctly.